githubEdit

Power Forecast

For product specifications, see Power Forecast.

Authentication

Authentication uses the X-API-Key header in the format {API_KEY_ID}:{API_SECRET}:

X-API-Key: your_api_key_id:your_api_secret

Contact [email protected] to request access.

Base URL

https://query.jua.ai

Quick Start

Get Latest Solar Forecast

curl -X POST "https://query.jua.ai/v1/power-forecast/data" \
  -H "X-API-Key: your_api_key_id:your_api_secret" \
  -H "Content-Type: application/json" \
  -d '{
    "zone_keys": ["DE"],
    "psr_types": ["Solar"],
    "latest_init_time": true
  }'

Get Historical Wind Data

Available Endpoints

  • GET /v1/power-forecast/zones - Get available zones

  • GET /v1/power-forecast/psr-types - Get available PSR types

  • GET /v1/power-forecast/init-times - Get forecast initialization times

  • POST /v1/power-forecast/data - Get forecast data

See API Endpoints for complete reference.

Last updated